struct bitmap clippy;
struct bitmap clipeye;
struct bitmap clipupil;
struct bitmap clipbrowl;
struct bitmap clipbrowr;
struct bitmap cliparrw;
//unsigned char enable_clippy = 1;

void draw_clippy(unsigned x, unsigned y, signed char lookver, signed char lookhor)
{
  if(!setup.enable_clippy) return;

  push_scrbitmap(x, y, &clippy, 2);
  push_scrbitmap(x-4, y+25, &clipeye, 1);
  push_scrbitmap(x+22, y+27, &clipeye, 1);
  push_scrbitmap(x-2+lookhor, y+27+lookver, &clipupil, 0);
  push_scrbitmap(x+24+lookhor, y+29+lookver, &clipupil, 0);
  push_scrbitmap(x-6, y+18, &clipbrowl, 0);
  push_scrbitmap(x+22, y+20, &clipbrowr, 0);
}

int init_clippy(void)
{
  unsigned char width, height;
  int rc;

  rc = load_bitmap("clippy.spr", &clippy, &width, &height);
  rc |= load_bitmap("clipeye.spr", &clipeye, &width, &height);
  rc |= load_bitmap("clippupl.spr", &clipupil, &width, &height);
  rc |= load_bitmap("clipbrwl.spr", &clipbrowl, &width, &height);
  rc |= load_bitmap("clipbrwr.spr", &clipbrowr, &width, &height);
  rc |= load_bitmap("cliparrw.spr", &cliparrw, &width, &height);

  return rc;
}
